/*ch0702.java*/
import java.awt.*;
import javax.swing.*;
import java.awt.event.*;

public class ch0702 extends JFrame implements ActionListener
{ JButton btok=new JButton("ok");             //建立按钮组件bkok
  JButton btcancel=new JButton("cancel");     //建立按钮组件bkcancel
  JTextField tf=new JTextField(30);
  ch0702()
  { super("一个事件处理的例子");
    Container c=getContentPane();
    c.setLayout(new FlowLayout());
    c.add(btok);
    c.add(btcancel);
    c.add(tf);
    btok.addActionListener(this);             //对按钮btok加监听器听此按钮的动作
    btcancel.addActionListener(this);         //对按钮btcancel加监听器监听此按钮的动作
    setSize(100,80);
    setVisible(true);
  }

  public static void main(String args[])
  { new ch0702();
  }

   //以下是对两个按钮发生的动作进行处理
  public void actionPerformed(ActionEvent e)
  { if(e.getSource()==btok)
      tf.setText("你按下了ok按钮");
    if(e.getSource()==btcancel)
      tf.setText("你按下了cancel按钮");
  }
}

